<% if (section === 'css') { %>
<style>
  .page[page=scoreboard] {
    display: flex;
    flex-direction: column;
    text-align: center;
    font-weight: bold;
  }

  #scoreboard-period-row {
    flex: 1;
    display: flex;
    flex-direction: row;
  }

  #scoreboard-score-row {
    flex: 3;
    display: flex;
    flex-direction: row;
  }

  #scoreboard-period-row > *,
  #scoreboard-score-row > * {
    flex: 1;
  }

  #scoreboard-home {
    background-color: <%= colors.home_background %>;
    color: <%= colors.home_text %>;
  }

  #scoreboard-away {
    background-color: <%= colors.away_background %>;
    color: <%= colors.away_text %>;
  }

  #scoreboard-period {
    text-align: right;
  }
</style>
<% } %>

<% if (section === 'html') { %>
<div class="page" page="scoreboard">
  <div id="scoreboard-score-row">
    <div id="scoreboard-home" class="text-fit"></div>
    <div id="scoreboard-shotclock" class="text-fit"></div>
    <div id="scoreboard-away" class="text-fit"></div>
  </div>
  <div id="scoreboard-period-row">
    <div id="scoreboard-period" class="text-fit"></div>
    <div id="scoreboard-periodclock" class="text-fit"></div>
  </div>
</div>
<% } %>

<% if (section === 'js') { %>
<script>
  const scoreboardShotclock = new Timer(100, 'down', (time) => {
    document.getElementById('scoreboard-shotclock').innerHTML = (Math.round(time * 10) / 10).toFixed(1)

    fitText(document.getElementById('scoreboard-shotclock'))
  })

  const scoreboardPeriodclock = new Timer(1000, 'down', (time) => {
    document.getElementById('scoreboard-periodclock').innerHTML = `${Math.floor(time / 60)}:${(time % 60).pad(2)}`

    fitText(document.getElementById('scoreboard-periodclock'))
  },
  (time) => {
    return time > scoreboardShotclock.time
  })

  registerCommand('scoreboard', 'data', (data) => {
    document.getElementById('scoreboard-home').innerHTML = data.home
    document.getElementById('scoreboard-away').innerHTML = data.away
    document.getElementById('scoreboard-period').innerHTML = `Periode: ${data.period}`

    fitText(document.querySelectorAll('.page[page=scoreboard] .text-fit'))
  })

  registerCommand('scoreboard', 'periodclockTime', (data) => {
    scoreboardPeriodclock.setTime(data.time)

    if (data.running) {
      scoreboardPeriodclock.start()
    } else {
      scoreboardPeriodclock.stop()
    }
  })

  registerCommand('scoreboard', 'shotclockTime', (data) => {
    scoreboardShotclock.setTime(data.time)

    if (data.running) {
      scoreboardShotclock.start()
    } else {
      scoreboardShotclock.stop()
    }
  })

  registerCommand('scoreboard', 'shotclockEnded', () => {
    playEndShotclock(true)
  })

  registerCommand('scoreboard', 'periodclockEnded', () => {
    playEndPeriod(true)
  })
</script>
<% } %>
